/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "[Dropped in Code 15] Code 12 Application Metadata", "zypp-appdata.html", [
      [ "Intro", "zypp-appdata.html#zypp-appdata_intro", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Hardware (modalias) dependencies", "zypp-modalias.html", null ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", "functions_rela" ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"Algorithm_8h.html",
"Dep_8cc_source.html",
"Json_8h.html#a5f99847a2ccff2f7f2579a976fae7133",
"MediaSetAccess_8h_source.html",
"ProblemSolution_8cc.html#afd6f6f309929ed2ac53a7109d6877b52",
"RequestedLocalesFile_8cc_source.html",
"SetRelationMixin_8h.html#af71e284735a6a97d9814b381eb59ec17",
"TestcaseSetup_8h.html#a8465c02c1a284f8e77b551386ffacc6aa02a3a357710cc2a5dfdfb74ed012fb59",
"base_2Iterable_8h.html",
"classzypp_1_1ByteCount.html#aaccd7e32c3179aeaf6e7b3a690c2c871",
"classzypp_1_1CheckSum.html#ab1c509264accbeb2af00da8dfea1fdab",
"classzypp_1_1Digest.html#a942d91d2038dd86bd908daf36ba3adf0",
"classzypp_1_1HistoryLog.html#a1cdcac9275433cee68cde5ad15a4c4db",
"classzypp_1_1InputStream.html#a5ce4c625600a89b05a804f9c0210a437",
"classzypp_1_1Match.html#a3afa3999736979a354a6e69c82722945",
"classzypp_1_1Patch.html#aee3888a3096da2e2661e65c296c23de1",
"classzypp_1_1PoolQuery.html#a3af0a590e40623184f559f20fe82f791",
"classzypp_1_1PublicKey.html#a0727e317e7b06cb114a740f2cd7dc24d",
"classzypp_1_1Repository.html#a2904b1b3a0689d61330d7b9c0b9addaa",
"classzypp_1_1ResPool_1_1EstablishedStates_1_1Impl.html#a13c176b9044391994840f99e821c5a1e",
"classzypp_1_1Resolver.html#aed6961772ab520589817a88deb12f22b",
"classzypp_1_1Url.html#a2b4d552b494ea5e486ae1fd39b69be97",
"classzypp_1_1ZConfig_1_1Impl.html#a3eda22417a2235b51ebe45e9c0d5e5e9",
"classzypp_1_1base_1_1DrunkenBishop_1_1Impl.html#a838c0be46de893e046f66aba884fcf72",
"classzypp_1_1detail_1_1PoolQueryMatcher.html",
"classzypp_1_1filesystem_1_1Pathname.html#a8aa2e8c1f5efb6fd44706ccd0fb1e898",
"classzypp_1_1media_1_1CredentialManager.html#a5ebb9a8c5f19288e5181f9b0ab3f02c5",
"classzypp_1_1media_1_1MediaFileSizeExceededException.html#a7607608e1588b43aa79bc938c8b1948a",
"classzypp_1_1media_1_1MediaNotDesiredException.html#a510c955e8b4489b2bf78131fcbf94c08",
"classzypp_1_1media_1_1TransferSettings_1_1Impl.html#a9257a2418a41474f45b9e7abea7465f3",
"classzypp_1_1parser_1_1IniParser.html#a6b096c287519c5b78494ec57279ada78",
"classzypp_1_1repo_1_1PluginServices.html",
"classzypp_1_1sat_1_1LocaleSupport.html#a477baf6436e76b231c5faf304ac4872d",
"classzypp_1_1sat_1_1Queue.html#a6c2507f86d3cbab3258c9201dc964560",
"classzypp_1_1sat_1_1Solvable.html#afe24d38cef251c37b9f0c14e6801ba0e",
"classzypp_1_1sat_1_1detail_1_1PoolImpl.html#ab9a96328d8283f2ff2641147d010458a",
"classzypp_1_1syscontent_1_1Writer.html#ac8816c9a4238a7581cee922290ebea6f",
"classzypp_1_1target_1_1rpm_1_1BinHeader.html#a8d94a5cbdc634670d6c3e697c4459d6b",
"classzypp_1_1target_1_1rpm_1_1librpmDb.html#aca6791694a9f85322029160074f3a4ba",
"classzypp_1_1url_1_1UrlBase.html#acbfc141baa430c6c5f8cf850421dd28f",
"classzypp__private_1_1repo_1_1PluginRepoverification.html#a7e3f106d5ebb849d0913018ed32d2400",
"classzyppng_1_1HeaderValueMap.html#a9d37c508b677e3d2399bf35b410e1d5c",
"classzyppng_1_1Provide.html#a75101f53e578dd51b2a4fd065cd99190",
"classzyppng_1_1ProvidePrivate.html#afa59de37ae28d6b561b84c6728f6ecb0a12989c794ea4616f08f77f233d3c9455",
"core_2ExternalProgram_8h.html",
"core_2base_2String_8h.html#a5cec75da0e65e4aa68b45221e24ba079",
"curlauthdata_8h.html",
"functions_type_u.html",
"group__ZYPP__SMART__PTR.html#gad74715c7b980a6ab960aa1fb907fa86d",
"namespacemembers_func_j.html",
"pool_2PoolImpl_8h_source.html",
"structhelix_1_1detail_1_1AutoXmlFree.html#a9bf7f0b0339a7888bf296adbaad5235d",
"structzypp_1_1Dep.html#a3f05026c78b91b65eb83d1e800c29dfba4c02c3b3b99f2354bcb7dd2288e05d55",
"structzypp_1_1KeyRing_1_1Impl.html#a3e97021ebac206d22fce188aebcccfb0",
"structzypp_1_1PublicKeySignatureData_1_1Impl.html",
"structzypp_1_1RepoManager.html#a5eb997a520c22464ee570f6b28b02730",
"structzypp_1_1StrMatcher_1_1Impl.html#a8346dd3e4f1a61ba4498224c59f9b448",
"structzypp_1_1callback_1_1SendReport.html#a53ab729b478d44722aefe2b9949bf486",
"structzypp_1_1media_1_1CredentialManager_1_1Impl.html#a34ac600c8ccda0262592edbb3f73f7c0",
"structzypp_1_1pool_1_1PoolStats.html#a7bc06883628cf4b8a9191d09b6ac9474",
"structzypp_1_1sat_1_1FileConflicts_1_1Conflict.html#a85d5449082b598fcc76f5ddcc21159c8",
"structzypp_1_1target_1_1SendSingleTransReport.html#ad6441495b16e3c5fc12036d53e29b068",
"structzypp_1_1ui_1_1StatusHelper.html#a5b965371a39a05dfd19ebca1315ebdd8",
"structzyppng_1_1DlNormalFileState.html",
"structzyppng_1_1worker_1_1Device.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';